### Type Parameters

### Hierarchy

- gmfOptions

## Index

### Properties

- controlZoom
- cssVars
- geolocalisation
- interationDefaults
- map
- mapControls
- mapInteractions
- showInfobar
- view
- zoom

## Properties

### controlZoom

controlZoom: Options

- Defined in src/options.js:536

The zoom control options

### cssVars

cssVars: Object

- Defined in src/options.js:537

The css variables, in particular brand-primary and brand-secondary that will set all the branding.

### geolocalisation

geolocalisation: boolean

- Defined in src/options.js:529

Show the geolocalisation button.

### interationDefaults

interationDefaults: DefaultsOptions

- Defined in src/options.js:535

The map interactions.

### map

map: Map

- Defined in src/options.js:531

The map definition.

### mapControls

mapControls: Control[]

- Defined in src/options.js:533

The map control.

### mapInteractions

mapInteractions: Interaction[]

- Defined in src/options.js:534

The map interactions.

### showInfobar

showInfobar: boolean

- Defined in src/options.js:528

Show the information bar.

### view

view: View

- Defined in src/options.js:530

The view definition.

### zoom

zoom: number

- Defined in src/options.js:532

The default zoom.

Generated using TypeDoc